List experiments
curl --request GET \
--url https://api.avidoai.com/v0/experiments \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/experiments"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"status": "DRAFT",
"inferenceStepIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"taskIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"assignee": "user_123456789"
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 100,
"totalPages": 4,
"totalCount": 100
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Experiments
List experiments
Retrieves a paginated list of experiments with optional filtering.
GET
/
v0
/
experiments
List experiments
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, title, status, assignee, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Filter by experiment status
Available options:
DRAFT, BASELINE_PENDING, BASELINE_RUNNING, BASELINE_COMPLETED, BASELINE_FAILED, VARIANT_RUNNING, IDLE, COMPLETED, ARCHIVED Example:
"DRAFT"
Exclude experiments with this status
Available options:
DRAFT, BASELINE_PENDING, BASELINE_RUNNING, BASELINE_COMPLETED, BASELINE_FAILED, VARIANT_RUNNING, IDLE, COMPLETED, ARCHIVED Example:
"ARCHIVED"